Subject: Re: [PATCH 6/9] builtin-init-db.c: use parse_options()

From: Olivier Marin <[email-masked]>
Date: Fri, 25 Jul 2008 17:20:26 +0200

Johannes Schindelin a écrit :
>>
>>> +		OPT_BOOLEAN(0, "bare", &bare, "set up a bare repo"),
>> s/set up/setup/
> 
> No.  "setup" is a noun.

Right, sorry.

> We rely on shared_repository == 0 for non-shared repositories _almost 
> everywhere_.

I think we rely on the fact that PERM_UMASK == 0 and not on the value
of shared_repository. Not the same thing.

That said, perhaps you are right: it is harmless.

>>> +		OPT_BIT('q', "quiet", &flags, "be quiet", INIT_DB_QUIET),
>> OPT__QUIET(&quiet),
>>
>> if (quiet)
>> 	flags |= INIT_DB_QUIET;
>>
>> to use the same quiet option everywhere?
> 
> Why?  Doesn't make it more readable, I think.  I'd rather have 3 lines 
> less.

Hum.

Olivier.